Skip to main content
PATCH
/
trust-centers
/
{slugId}
Update Trust Center
curl --request PATCH \
  --url https://api.vanta.com/v1/trust-centers/{slugId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "<string>",
  "companyDescription": "<string>",
  "customTheme": {
    "secondary": "<string>",
    "primary": "<string>"
  },
  "privacyPolicy": "<string>",
  "isPublic": true
}
'
{
  "id": "a2f7e1b9d0c3f4e5a6c7b8d9",
  "title": "Trust Center",
  "companyDescription": "Company description",
  "privacyPolicy": "Privacy policy",
  "customDomain": "trustcenter.com",
  "isPublic": true,
  "bannerSetting": {
    "setting": "GRADIENT",
    "startColor": "#000000",
    "endColor": "#FFFFFF"
  },
  "customTheme": {
    "primary": "#000000",
    "secondary": "#FFFFFF"
  },
  "creationDate": "2020-01-01T00:00:00.000Z",
  "updatedDate": "2020-01-01T00:00:00.000Z"
}

Documentation Index

Fetch the complete documentation index at: https://vanta.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

slugId
string
required

Body

application/json
title
string | null

Custom title for the Trust Center. If null is passed in, the current custom title is unset and the default title is restored.

companyDescription
string | null

Company description displayed in the Trust Center header. If null is passed in, the current company description is unset.

bannerSetting
object

The banner configuration of the Trust Center.

customTheme
object

The custom theme configuration for the Trust Center.

privacyPolicy
string | null

Privacy policy URL to set on the Trust Center. If null is passed in, unsets the current privacy policy.

isPublic
boolean

Whether the Trust Center is public or not.

Response

200 - application/json

Ok

id
string
required

Unique identifier for the Trust Center.

title
string | null
required

Custom title set for the Trust Center.

companyDescription
string | null
required

Company description displayed in the Trust Center header.

privacyPolicy
string | null
required

URL of the Trust Center company's privacy policy.

customDomain
string | null
required

Custom domain that the Trust Center can be found at, e.g. trust.vanta.com.

isPublic
boolean
required

Whether the Trust Center is public.

bannerSetting
object
required

Information about the Trust Center's banner.

customTheme
object
required

Custom theme colors chosen for the Trust Center.

creationDate
string<date-time>
required

Date the Trust Center was created.

updatedDate
string<date-time>
required

Date the Trust Center was last updated.